Mises à jour .NET en échec

Le
Jacques-A
Bonjour,

Excusez-moi de revenir sur un "vieux" sujet. A l'époque, c'est le sp1 de
.NET framework 1.1 qui avait bloqué. Cette fois-ci, c'est les SP1 des
versions 2.0 et 3.0 qui bloquent. Sans doute le même problème mais
l'historique des news ne va pas assez loin pour retrouver les conseils
donnés à l'époque. J'ai trouvé sur le technet les procédures de réparation
que je vais tester dès que possible (si j'y arrive car la procédure décrite
ne correspond pas au fichier dotnetfx téléchargeable).

J'aurais donc deux questions:
- faut-il garder les 3 versions (je n'ai aucun moyen de savoir pour quelles
applications j'ai eu besoin de charger ces frameworks)?
- comment savoir si, au fil des mises à jour l'une ou l'autre des 3 versions
est toujours utile?

Question subsidiaire : si l'un d'entre vous a déja extrapolé la procédure de
la KB, je le remercie de me conseiller en fonction de son expérience.

A+,

Jacques
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
galida
Le #1092651
Salut.
Déjà débattu et une solution est de tout désinstaller les NF.
Les logiciels qui en ont besoin rechargeront la version dont ils ont besoin,
y compris leurs màj.
--
Daniel - galida
Jacques-A
Le #1092484
"galida"
Salut.
Déjà débattu et une solution est de tout désinstaller les NF.
C'est entre autres mon problème (échec d'installation du SP1, de réparation,

de désintallation et de ré-installation écrasant la précédente).

Les articles de KB ne résolcent pas, MSICUU non plus.

--
Jacques

Les logiciels qui en ont besoin rechargeront la version dont ils ont
besoin, y compris leurs màj.
--
Daniel - galida



Ypoons
Le #1092159
Bonjour,

Excusez-moi de revenir sur un "vieux" sujet. A l'époque, c'est le sp1 de
.NET framework 1.1 qui avait bloqué. Cette fois-ci, c'est les SP1 des
versions 2.0 et 3.0 qui bloquent. Sans doute le même problème mais
l'historique des news ne va pas assez loin pour retrouver les conseils
donnés à l'époque. J'ai trouvé sur le technet les procédures de
réparation que je vais tester dès que possible (si j'y arrive car la
procédure décrite ne correspond pas au fichier dotnetfx téléchargeable).

J'aurais donc deux questions:
- faut-il garder les 3 versions (je n'ai aucun moyen de savoir pour
quelles applications j'ai eu besoin de charger ces frameworks)?
- comment savoir si, au fil des mises à jour l'une ou l'autre des 3
versions est toujours utile?

Question subsidiaire : si l'un d'entre vous a déja extrapolé la
procédure de la KB, je le remercie de me conseiller en fonction de son
expérience.

A+,
Jacques


Salut Jacques

Ah, ces Frameworks... ils en auront fait couler, de l'encre !

Alors dans l'ordre :
- oui, il faut garder les 3 versions, elles sont complémentaires
mais pas dépendantes (une application réclamera la version 1.1,
une autre la version 2.0, une autre...) - Il y a même une version
3.5 qui est sortie, mais à ma connaissance elle est réservée à
Vista et au futur Windows Server 2008
- ce n'est pas les mises à jour qui te diront si les Frameworks
sont utiles, mais les applications (de plus en plus nombreuses)
qui ont besoin de ces "briques logicielles" pour fonctionner. Ces
Frameworks sont "simplement" une façon pour le(s) programmeur(s)
de ne pas "réinventer la roue" à chaque fois, et d'utiliser une
sorte de "tronc commun" dont la partie cliente (les fameux
bidules que tu as téléchargés et installés) doit être présente
autour du système d'exploitation de ta machine. Une application
bien écrite commencera par vérifier la présence du Framework dont
elle a besoin, et si pas présent proposera de l'installer d'abord.

Par contre, les mises à jour poseront peut-être toujours un ou
des problèmes... pour mettre à jour les Frameworks. On dirait que
chez MS les programmeurs ne travaillent pas "main dans la main",
mais chacun dans son coin...

J'ai trouvé (en anglais) un outil développé pour justement
pallier à ces problèmes de désinstallation impossible (ou de mise
à jour impossible, dont une solution est la
désinstallation/réinstallation totale).
http://blogs.msdn.com/astebner/archive/2006/05/30/611355.aspx

Note : les Frameworks sont écrits en anglais, quelle que soit la
langue d'installation de ton OS. Un outil de désinstallation en
anglais n'est donc pas un obstacle. Par contre, si tu veux faire
"tout propre", il te faudra avant d'utiliser cet outil
désinstaller manuellement (par "Ajout/Suppression de programmes")
les pack langues des Frameworks. Ces pack langues servent juste à
te mettre les (éventuelles) boîtes de dialogue en français si des
applications font appel à ces Frameworks et rencontrent un ou des
problèmes. Les pack langues servent aussi à mettre certains menus
contextuels dans la langue de l'OS.

Reviens dire !

Amicalement,


--
Ypoons [MVP]
Ne vous approchez jamais d'un ordinateur en disant ou même
seulement pensant "Je vais faire ça très vite !"
Pour m'écrire : http://www.cerbe rmail.com/?EEcGHSD8yU (enlever
l'espace)
Ne me mettez pas dans votre carnet d'adresse ! Je suis spammé !

Jacques-A
Le #1091993
"Ypoons" a écrit dans le message de news:


Salut Jacques
Salut Ypoons,



Ah, ces Frameworks... ils en auront fait couler, de l'encre !

Alors dans l'ordre :
- oui, il faut garder les 3 versions, elles sont complémentaires mais pas
dépendantes (une application réclamera la version 1.1, une autre la
version 2.0, une autre...) - Il y a même une version 3.5 qui est sortie,
mais à ma connaissance elle est réservée à Vista et au futur Windows
Server 2008
...
Par contre, les mises à jour poseront peut-être toujours un ou des
problèmes... pour mettre à jour les Frameworks. On dirait que chez MS les
programmeurs ne travaillent pas "main dans la main", mais chacun dans son
coin...


On ne peut pas demander à des programmeurs sous traités dans une multitude
de pays de parler le même anglais mais (normalement), un SP est vérifié !
Espérons qu'au moins pour le système le prochain SP soit mieux validé.


J'ai trouvé (en anglais) un outil développé pour justement pallier à ces
problèmes de désinstallation impossible (ou de mise à jour impossible,
dont une solution est la désinstallation/réinstallation totale).
http://blogs.msdn.com/astebner/archive/2006/05/30/611355.aspx



Merci pour le lien. Finalement, une désinstallation "brutale" suivie d'une
ré-installation "foireuse" pour dotnet3 (diags d'erreurs mais qui marche) a
permis aux SP de s'installer. Je le garde cependant pour le cas où ce serait
moins propre que pensé.

Note : les Frameworks sont écrits en anglais, quelle que soit la langue
d'installation de ton OS. Un outil de désinstallation en anglais n'est
donc pas un obstacle. Par contre, si tu veux faire "tout propre", il te
faudra avant d'utiliser cet outil désinstaller manuellement (par
"Ajout/Suppression de programmes") les pack langues des Frameworks. Ces
pack langues servent juste à te mettre les (éventuelles) boîtes de
dialogue en français si des applications font appel à ces Frameworks et
rencontrent un ou des problèmes. Les pack langues servent aussi à mettre
certains menus contextuels dans la langue de l'OS.


No problem pour les logiciels en vieux normand revu par des yankees et des
indo-pakistanais.

J'avais désinstallé "dans l'ordre" donc les packs langues étaient partis
sans problème depuis longtemps.

Adishatz

Jacques


Reviens dire !

Amicalement,


--
Ypoons [MVP]
Ne vous approchez jamais d'un ordinateur en disant ou même seulement
pensant "Je vais faire ça très vite !"
Pour m'écrire : http://www.cerbe rmail.com/?EEcGHSD8yU (enlever l'espace)
Ne me mettez pas dans votre carnet d'adresse ! Je suis spammé !


Ypoons
Le #1090846
Salut Jacques

[...]
Par contre, les mises à jour poseront peut-être toujours un ou des
problèmes... pour mettre à jour les Frameworks. On dirait que chez MS
les programmeurs ne travaillent pas "main dans la main", mais chacun
dans son coin...


On ne peut pas demander à des programmeurs sous traités dans une
multitude de pays de parler le même anglais mais (normalement), un SP
est vérifié ! Espérons qu'au moins pour le système le prochain SP soit
mieux validé.


Le problème (à ce que nous avons vu suite aux interventions dans
ce forum et dans d'autres) ne vient pas des SP mais d'une
certaine "dégradation" sur *ta* machine (comme sur celle des
autres) des Frameworks déjà installés.
Si l'on désinstalle les Frameworks puis qu'on les ré-installe *de
frais*, les SP s'installent sans problème...

[...]
Merci pour le lien. Finalement, une désinstallation "brutale" suivie
d'une ré-installation "foireuse" pour dotnet3 (diags d'erreurs mais qui
marche) a permis aux SP de s'installer. Je le garde cependant pour le
cas où ce serait moins propre que pensé.


Je pense en effet que certains programmes nécessitant les
Frameworks vont se comporter bizarrement...
Je suggère que tu fasses quand même le "grand ménage".

[...]
No problem pour les logiciels en vieux normand revu par des yankees et
des indo-pakistanais.


Tu es mauvaise langue... ROFL
Tous les programmeurs de MS (quelle que soit leur nationalité
d'origine) travaillent à Redmond, donc sont sensés parler le
yankee couramment.

J'avais désinstallé "dans l'ordre" donc les packs langues étaient partis
sans problème depuis longtemps.

Adishatz

Jacques


Bonne continuation !

Adishatz également.

--
Ypoons [MVP]
Ne vous approchez jamais d'un ordinateur en disant ou même
seulement pensant "Je vais faire ça très vite !"
Pour m'écrire : http://www.cerbe rmail.com/?EEcGHSD8yU (enlever
l'espace)
Ne me mettez pas dans votre carnet d'adresse ! Je suis spammé !


Publicité
Poster une réponse
Anonyme